#ifndef _H_DBCD87B6D028286F1638A51F51B849D6_CanFrame__H_
#define _H_DBCD87B6D028286F1638A51F51B849D6_CanFrame__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"


namespace marti_can_msgs
{
    namespace msg
    {
        namespace dds_
        {
            namespace CanFrame_Constants
            {
                const ::DDS::Octet MSGTYPE_STANDARD_ = 0;

                const ::DDS::Octet MSGTYPE_RTR_ = 1;

                const ::DDS::Octet MSGTYPE_EXTENDED_ = 2;

                const ::DDS::Octet MSGTYPE_STATUS_ = 128;

            }

            struct  CanFrame_
            {
                struct _data__uniq_{};
                typedef ::DDS::Octet _data__slice;
                typedef ::DDS::Octet _data_[8];
                typedef DDS_DCPS_FArray_var< _data_, _data__slice, struct _data__uniq_ > _data__var;
                typedef _data_ _data__out;
                typedef DDS_DCPS_Array_forany< _data_, _data__slice, struct _data__uniq_ > _data__forany;
                static _data__slice *_data__alloc();
                static void _data__free(_data__slice *);
                static void _data__copy(_data__slice *to, const _data__slice *from);
                static _data__slice *_data__dup(const _data__slice *from);
                ::std_msgs::msg::dds_::Header_ header_;
                ::DDS::ULong id_;
                ::DDS::Octet msg_type_;
                ::DDS::Octet data_length_;
                _data_ data_;
            };

            typedef DDS_DCPSStruct_var<CanFrame_> CanFrame__var;
            typedef DDS_DCPSStruct_out < CanFrame_> CanFrame__out;

        }

    }

}

#endif /* _H_DBCD87B6D028286F1638A51F51B849D6_CanFrame__H_ */
